Bug 1272116 - Review Request: golang-github-auth0-go-jwt-middleware - A Middleware for Go Programming Language to check for JWTs on HTTP requests
Summary: Review Request: golang-github-auth0-go-jwt-middleware - A Middleware for Go P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1271684
Blocks: 1272248
TreeView+ depends on / blocked
 
Reported: 2015-10-15 14:06 UTC by Luis Pabón
Modified: 2016-11-08 22:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 20:54:04 UTC
jchaloup: fedora-review+


Attachments (Terms of Use)

Description Luis Pabón 2015-10-15 14:06:58 UTC
Spec URL: https://lpabon.fedorapeople.org/reviews/golang-github-auth0-go-jwt-middleware/golang-github-auth0-go-jwt-middleware.spec

SRPM URL: https://lpabon.fedorapeople.org/reviews/golang-github-auth0-go-jwt-middleware/golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc22.src.rpm

Description: A Middleware for Go Programming Language to check for JWTs on HTTP requests

Fedora Account System Username: lpabon

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11460091

$ rpmlint golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc22.src.rpm golang-github-auth0-go-jwt-middleware-devel-0.1-1.git8c897f7.fc22.noarch.rpm golang-github-auth0-go-jwt-middleware-unit-test-devel-0.1-1.git8c897f7.fc22.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-10-15 14:22:16 UTC
The current package depends on other packages that are not yet on review. Can you first generate the missing spec files? I will then continue with this review.

Summary:
- all [Build]Requires correct
- devel subpackage provided
- unit-test provided
- license OK

Notes:
- ass check is disabled, the spec file has no build-time dependency on any golang project. So it is very easy to miss some. In this case it is better to first install built devel rpm and see if it works.

Comment 2 Jan Chaloupka 2015-10-15 14:23:17 UTC
Sorry, all deps are already reviewed.

Comment 3 Jan Chaloupka 2015-10-15 14:25:55 UTC
The spec file conforms to the current packaging guidelines draft. Before this package is built in Koji please make sure all its dependencies are built as well and overridden.

Comment 4 Parag AN(पराग) 2015-10-15 14:42:37 UTC
ah fedora-cvs+ that should have been fedora-review+ actually.

Comment 5 Jan Chaloupka 2015-10-16 10:13:31 UTC
Sorry, I switched wrong flag. Thanks Parag.

Comment 6 Fedora Update System 2015-10-23 04:26:38 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-75fc53694b

Comment 7 Fedora Update System 2015-10-23 04:27:17 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-94153e7e1e

Comment 8 Fedora Update System 2015-10-23 04:28:04 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d834373a0

Comment 9 Fedora Update System 2015-10-23 04:28:52 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-300e456766

Comment 10 Fedora Update System 2015-10-24 12:06:34 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-auth0-go-jwt-middleware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-300e456766

Comment 11 Fedora Update System 2015-10-26 18:28:17 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-auth0-go-jwt-middleware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9d834373a0

Comment 12 Fedora Update System 2015-10-26 19:50:34 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-auth0-go-jwt-middleware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-75fc53694b

Comment 13 Fedora Update System 2015-10-26 21:20:47 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-auth0-go-jwt-middleware'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-94153e7e1e

Comment 14 Fedora Update System 2015-11-04 20:54:01 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-04 22:22:35 UTC
golang-github-auth0-go-jwt-middleware-0.1-1.git8c897f7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.